<app-header></app-header>
<app-navigation-menu></app-navigation-menu>

<table>
  <div *ngFor="let topic of topics.results">
  <tr *ngIf="topicName == 'peaple' else showFilms">
    <td>{{topic.name}}</td>
    <td>{{topic.height}}</td>
    <td>{{topic.created}}</td>
    <td><a [routerLink]="'/'+topicName+'/'+topic.id">more details</a></td>
  </tr>
    <ng-template #showFilms>
      <tr>
        <td>{{topic.name}}</td>
        <td>{{topic.height}}</td>
        <td>{{topic.created}}</td>
        <td><a [routerLink]="'/'+topicName+'/'+topic.id">more details</a></td>
      </tr>
    </ng-template>
  </div>

</table>

<div class="row">
  <div class="col-12 d-flex justify-content-end align-items-center">
    <button class="p-2 m-2" type="button" [disabled]="!topics.previous" (click)="previousPage()">
      Previous
    </button>
    <button class="p-2 m-2" type="button" [disabled]="!topics.next" (click)="nextPage()">
      Next
    </button>
  </div>
</div>
